EmailTemplate
Updates a EmailTemplate.
Updates a EmailTemplate.
/api/email-templates/{id}Authorizations
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
EmailTemplate identifier
Request Body
The updated EmailTemplate resource
{
"identifier": "key1",
"description": "Invoice for contract <<contract.number>>",
"comment": "This is a special email template",
"to": "<<customer.firstname>>.<<customer.surname>>@output.rocks",
"cc": "<<customer.firstname>>",
"bcc": "<<customer.surname>>",
"fromName": "<<customer.firstname>>",
"replyTo": "<<customer.surname>>",
"subject": "Your Balance is <<customer.balance>>",
"body": "<div style=\"padding-bottom: 30px\"> Hi <<customer.firstname>>, <br>\n This is a sample HTML-Template to show you, how to use the power of Output.Rocks ;)\n </div>",
"text": "Email text <<customer.firstname>>",
"color": "#083E5D",
"maxBlockedAmount": 10,
"paused": false,
"bounceHandling": false,
"fileName": "<<or.expression.timestamp({\"format\":\"Y-m-d-H-i-s\"})>>_sample",
"customId": "<<contract.id>>",
"attachmentIdentifiers": [
"invoice",
"document"
],
"emailAttachmentIdentifiers": [
"email-1",
"email-2"
],
"validatorIdentifiers": [
"address_validator",
"product_validator"
],
"active": true,
"activeFrom": "2024-01-01",
"groupIdentifier": "my_group",
"groupCondition": "data['contract']['balance'] > 0",
"reviewCondition": "data['contract']['id'] > 1000"
}Response
EmailTemplate resource updated
Identifier generated by Output.Rocks.
Unique identifier
EmailTemplate description / title. <<>>-Syntax can be used for dynamical generation.
Comments and notes
Email to <<>>-Syntax can be used for dynamical generation.
Optional value in <<>>-Syntax can be used for dynamical generation.
Optional value in <<>>-Syntax can be used for dynamical generation.
Optional value in <<>>-Syntax can be used for dynamical generation.
Optional value in <<>>-Syntax can be used for dynamical generation.
Email subject <<>>-Syntax can be used for dynamical generation.
Email body <<>>-Syntax can be used for dynamical generation.
Email text <<>>-Syntax can be used for dynamical generation.
HTML color code to be used on Dashboard-charts and statistics.
Maximum amount of accepted errors. EmailTemplate will be paused in case of reaching this limit
Paused flag. Default: false
BounceHandling flag. Default: false
Target file name without extension <<>>-Syntax can be used for dynamical generation.
Optional value in <<>>-Syntax to be extracted and stored on each rendered document.
Identifier list of attachments, used in current email template
Identifier list of emailAttachments, used in current email template
Identifier list of validators, to be executed on current template
User, created this entry
User, updated this entry
UTC date time of entry creation
UTC date time of last entry update
Active flag. Default: true
Date to activate the entry. Default: today
Optional group identifier to be used with group conditions
Group condition.
Review condition.